package com.org.controladoralimentos;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class TurnOnReceiver extends BroadcastReceiver {
	private AlarmManager alarmMgr;
	private PendingIntent alarmIntent;
	public TurnOnReceiver() {
	}

	@Override
	public void onReceive(Context context, Intent intent) {
		 if (intent.getAction().equals("android.intent.action.BOOT_COMPLETED")) {
			 Log.v("Controlador alimentos","Entra");
			 if (alarmMgr!= null) {
		    		alarmMgr.cancel(alarmIntent);
		    	}
		    	alarmMgr = (AlarmManager)context.getSystemService(Context.ALARM_SERVICE);
		    	Intent i = new Intent(context, AlarmReceiver.class);
		    	alarmIntent = PendingIntent.getService(context, 0, i, 0);
		    	alarmMgr.setRepeating(AlarmManager.ELAPSED_REALTIME_WAKEUP,0,AlarmManager.INTERVAL_DAY, alarmIntent);
	        }
	}
}
